unit Stp;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls;

type
  TSetupDlg = class(TForm)
    PortStp: TRadioGroup;
    SegSize: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    SegRes: TGroupBox;
    Label3: TLabel;
    Label4: TLabel;
    Edit3: TEdit;
    Edit4: TEdit;
    FollowCheckBox: TCheckBox;
    Button1: TButton;
    Button2: TButton;
    Edit5: TEdit;
    Label5: TLabel;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

type
    TSetup = record
              PortAdres        : word;
              SegASize         : integer;
              SegBSize         : integer;
              SegARes          : integer;
              SegBRes          : integer;
              FollowCursor     : boolean;
              DelayConst       : longint;
             end;

const
     Setup : TSetup = (PortAdres      : $378;
                       SegASize       : 200;
                       SegBSize       : 200;
                       SegARes        : 200;
                       SegBRes        : 200;
                       FollowCursor   : False;
                       DelayConst     : 100000);

var
  SetupDlg: TSetupDlg;

implementation

{$R *.DFM}

procedure TSetupDlg.FormShow(Sender: TObject);
begin
 Edit1.Text := IntToStr(Setup.SegASize);
 Edit2.Text := IntToStr(Setup.SegBSize);
 Edit3.Text := IntToStr(Setup.SegARes);
 Edit4.Text := IntToStr(Setup.SegBRes);
 Edit5.Text := IntToStr(Setup.DelayConst);
 case Setup.PortAdres of
  $378 : PortStp.ItemIndex := 0;
  $278 : PortStp.ItemIndex := 1;
  $3BC : PortStp.ItemIndex := 2;
 end;
 FollowCheckBox.Checked := Setup.FollowCursor;
end;

procedure TSetupDlg.Button1Click(Sender: TObject);
begin
 Setup.SegASize   := StrToInt(Edit1.Text);
 Setup.SegBSize   := StrToInt(Edit2.Text);
 Setup.SegARes    := StrToInt(Edit3.Text);
 Setup.SegBRes    := StrToInt(Edit4.Text);
 Setup.DelayConst := StrToInt(Edit5.Text);
 case PortStp.ItemIndex of
  0 : Setup.PortAdres := $378;
  1 : Setup.PortAdres := $278;
  2 : Setup.PortAdres := $3BC;
 end;
 Setup.FollowCursor := FollowCheckBox.Checked;
end;

end.
